%global momorel 2

Name:           perl-libwww-perl
Version:        5.826
Release:        %{momorel}m%{?dist}
Summary:        libwww::perl Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/libwww-perl/
Source0:        http://www.cpan.org/modules/by-module/Net/libwww-perl-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the World-Wide
Web.  The main focus of the library is to provide classes and functions
that allow you to write WWW clients. The library also contain modules that
are of more general use and even classes that help you implement simple
HTTP servers.

%prep
%setup -q -n libwww-perl-%{version}
# Install the aliases by default
%{__perl} -pi -e 's|my \$default = "n";|my \$default = "y";|' Makefile.PL

%build
echo y | CFLAGS="%optflags" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
rm -f %{buildroot}%{perl_vendorlib}/HTTP/Cookies/Microsoft.pm
rm -f %{buildroot}%{perl_vendorlib}/lwpcook.pod
rm -f %{buildroot}%{perl_vendorlib}/lwptut.pod

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README README.SSL talk-to-ourself
%{_bindir}/*
%{perl_vendorlib}/Bundle/*
%{perl_vendorlib}/File/*
%{perl_vendorlib}/HTML/*
%{perl_vendorlib}/HTTP/*
%{perl_vendorlib}/LWP/*
%{perl_vendorlib}/Net/*
%{perl_vendorlib}/WWW/*
%{perl_vendorlib}/*.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Jun 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.826-2m)
- version down to 5.826

* Sat Jun 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.828-1m)
- update to 5.828

* Tue Jun 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.827-1m)
- update to 5.827

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.826-1m)
- update to 5.826

* Wed Feb 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.825-1m)
- update to 5.825

* Sat Feb 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.824-1m)
- update to 5.824

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.823-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.823-1m)
- update to 5.823

* Sun Dec  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.822-1m)
- update to 5.822

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.821-1m)
- update to 5.821

* Sat Nov  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.820-1m)
- update to 5.820

* Tue Oct 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.819-1m)
- update to 5.819

* Thu Oct 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.818-1m)
- update to 5.818

* Tue Sep 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.816-1m)
- update to 5.816

* Sat Sep 27 2008 NARITA Koichi <pulsar@momonga-inuxx.org>
- (5.815-1m)
- update to 5.815

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.814-1m)
- update to 5.814

* Wed Jun 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.813-1m)
- update to 5.813

* Thu Apr 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.812-1m)
- update to 5.812

* Tue Apr 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.811-1m)
- update to 5.811

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.810-1m)
- update to 5.810

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.808-3m)
- rebuild against gcc43

* Sat Jan  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.808-2m)
- Specfile re-generated by cpanspec 1.74 for Momonga Linux.

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.808-1m)
- update to 5.808

* Wed Aug  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.807-1m)
- update to 5.807

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.806-1m)
- update to 5.806

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (5.805-4m)
- use vendor

* Fri Apr 13 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.805-3m)
- merge fc perl-libwww-perl-5.805-1.1.1

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.805-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (5.805-1m)
- update to 5.805

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.803-2m)
- rebuilt against perl-5.8.7

* Sat Jun 04 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (5.803-1m)
- update to 5.803

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.79-3m)
- rebuild against perl-5.8.5
- rebuild against perl-HTML-Parser 3.36-3m
- rebuild against perl-URI 1.30-4m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (5.79-2m)
- remove Epoch from BuildPrereq

* Tue Apr 20 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (5.79-1m)
- update to 5.79
- add AUTHORS to %%doc

* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (5.76-3m)
- use perl specific dependency check filter.

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (5.76-2m)
- revised spec for rpm 4.2.

* Wed Dec  3 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (5.76-1m)
- update to 5.76
- add BuildPreReq: perl-MIME-Base64, perl-Digest-MD5, perl-libnet

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.75-3m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.75-2m)
- rebuild against perl-5.8.1

* Fri Oct 31 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (5.75-1m)
- update to 5.75
- use %%NoSource

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (5.73-1m)
- update to 5.73
- use %%{momorel}
- fix %%files
  %%{perl_vendorlib}/*/ have the possibility of another module files.

* Sun Jan 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.69-1m)

* Sun Jan  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.68-1m)

* Sun Dec 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.66-1m)

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.65-4m)
- rebuild against perl-5.8.0

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.65-3m)
- fix %files

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.65-2m)
- fix man install path

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.65-1m)
- rebuild against perl-HTML-Parser-3.26, perl-URI-1.19, perl-libnet-1.12,
  and perl-Digest-MD5-2.20

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (5.64-2k)
- version 5.64

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (5.53-2k)
- merge from rawhide. based on 5.53-3.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 5.53-3
- imported from mandrake. tweaked man path.

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 5.53-2mdk
- BuildRequires:	perl-devel

* Tue Jul 03 2001 Francois Pons <fpons@mandrakesoft.com> 5.53-1mdk
- 5.53.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.50-2mdk
- Rebuild for the latest perl.

* Tue Jan 30 2001 Francois Pons <fpons@mandrakesoft.com> 5.50-1mdk
- added requires on perl-URI >= 1.10.
- 5.50.

* Tue Nov 14 2000 Francois Pons <fpons@mandrakesoft.com> 5.48-3mdk
- fixed typo in summary.

* Thu Aug 03 2000 Francois Pons <fpons@mandrakesoft.com> 5.48-2mdk
- macroszifications.
- noarch.
- add doc.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 5.48-1mdk
- updated to 5.48

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 5.47-3mdk
- fixed release tag

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 5.47-2mdk
- remove file list
- rebuild for 5.6.0

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 5.47

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 5.44

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
